﻿<div class="top-row pl-4 navbar navbar-dark">
    <a class="navbar-brand" href="">BlazorGame</a>
    <button class="navbar-toggler" @onclick="ToggleNavMenu">
        <span class="navbar-toggler-icon"></span>
    </button>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <ul class="nav flex-column">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <span class="oi oi-home" aria-hidden="true"></span> Variant #1
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="varianttwo">
                <span class="oi oi-plus" aria-hidden="true"></span> Variant #2
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="variantthree">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Variant #3
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="variantfour">
                <span class="oi oi-bell" aria-hidden="true"></span> Variant #4
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="variantfive">
                <span class="oi oi-heart" aria-hidden="true"></span> Variant #5
            </NavLink>
        </li>
    </ul>
</div>

@code {
    private bool collapseNavMenu = true;

    private string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }
}
